org.h2.test.store

## Class SequenceMap.Builder

- java.lang.Object
- - org.h2.mvstore.MVMap.BasicBuilder<MVMap<K,V>,K,V>
  - - org.h2.mvstore.MVMap.Builder<java.lang.Long,java.lang.Long>
    - - org.h2.test.store.SequenceMap.Builder

All Implemented Interfaces:
  MVMap.MapBuilder<MVMap<java.lang.Long,java.lang.Long>,java.lang.Long,java.lang.Long>

Enclosing class:
  SequenceMap

    public static class SequenceMap.Builder
    extends MVMap.Builder<java.lang.Long,java.lang.Long>

A builder for this class.

### Constructor Summary

Constructors
Constructor and Description
`SequenceMap.Builder()`

### Method Summary

Methods
`SequenceMap` `create(java.util.Map<java.lang.String,java.lang.Object> config)` Create map from config.

### Methods inherited from class org.h2.mvstore.MVMap.Builder

`keyType, singleWriter, valueType`

### Methods inherited from class org.h2.mvstore.MVMap.BasicBuilder

`create, getKeyType, getValueType, setKeyType, setValueType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SequenceMap.Builder

    public SequenceMap.Builder()

### Method Detail

#### create

    public SequenceMap create(java.util.Map<java.lang.String,java.lang.Object> config)

Description copied from class: `MVMap.BasicBuilder`
Create map from config.

Overrides:
  `create` in class `MVMap.Builder<java.lang.Long,java.lang.Long>`
Parameters:
  `config` - config map
Returns:
  new map